# Xapian::StringValueRangeProcessor Class Reference

Handle a string range. More...

Inheritance diagram for Xapian::StringValueRangeProcessor:

[legend]

List of all members.

## Public Member Functions

| StringValueRangeProcessor (Xapian::valueno valno_)
| Constructor.
| StringValueRangeProcessor (Xapian::valueno valno_, const std::string &str_, bool prefix_=true)
| Constructor.
Xapian::valueno | operator() (std::string &, std::string &)
| Check for a valid range of this type.

## Detailed Description

Handle a string range.

The end points can be any strings.

## Constructor & Destructor Documentation

Xapian::StringValueRangeProcessor::StringValueRangeProcessor | ( | Xapian::valueno | valno_ | ) | `[inline]`

Constructor.

Parameters:

  | valno_ | The value number to return from operator().

Xapian::StringValueRangeProcessor::StringValueRangeProcessor | ( | Xapian::valueno | valno_,
|  | const std::string & | str_,
|  | bool | prefix_ = `true` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | valno_ | The value number to return from operator().
  | str_ | A string to look for to recognise values as belonging to this range.
  | prefix_ | Flag specifying whether to check for str_ as a prefix or a suffix.

## Member Function Documentation

Xapian::valueno Xapian::StringValueRangeProcessor::operator() | ( | std::string & | ,
|  | std::string & |  |
| ) |  |  | `[virtual]`

Check for a valid range of this type.

If no prefix or suffix is specified, then this always returns the value slot specified at construction time.

If a prefix or suffix is specified, this is checked for first, and it it doesn't match, this method returns Xapian::BAD_VALUENO.

Implements Xapian::ValueRangeProcessor.

Reimplemented in Xapian::DateValueRangeProcessor, and Xapian::NumberValueRangeProcessor.

The documentation for this class was generated from the following file:

- xapian/queryparser.h